## html5lib 0.999999999

=== requirements.txt ===
six
webencodings
ordereddict ; python_version < '2.7'
setuptools>=18.5

## html5lib 0.999

=== debian/changelog ===
html5lib (0.999-4) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Remove python-html5lib-whl as it's no longer necessary.
    - Remove python3-wheel from Build-Depends.
  * d/rules: Remove override_dh_auto_install since we no longer need to
    build the wheel package.
  * d/python-html5lib-whl.install: Removed.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Feb 2016 17:27:44 -0500

html5lib (0.999-3) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Add python3-wheel to Build-Depends.
    - Bump Standards-Version to 3.9.5 with no other changes necessary.
    - Add the python-html5-whl binary package.
    - wrap-and-sort
    - Fix python3-html5lib Suggests.
  * d/rules:
    - Build the universal wheels.
    - Override dh_installchangelogs to use the CHANGES.rst file.
  * d/python-html5-whl.install: Added.
  * d/patches/setuptools.patch: Added.

 -- Barry Warsaw <barry@debian.org>  Thu, 15 May 2014 16:26:10 -0400

html5lib (0.999-2) unstable; urgency=low

  * Add missing Build-Depends on python{3}-six, thanks to James Page
    <james.page@ubuntu.com> (Closes: #734608).

 -- Olivier Berger <obergix@debian.org>  Thu, 09 Jan 2014 15:16:54 +0100

html5lib (0.999-1) experimental; urgency=medium

  * New upstream release.

 -- Olivier Berger <obergix@debian.org>  Fri, 27 Dec 2013 19:02:59 +0100

html5lib (0.99-1) experimental; urgency=low

  * New upstream version, and change of main uploader (still in DPMT).
  * Add support for Python 3 (Closes: #729155).

 -- Olivier Berger <obergix@debian.org>  Fri, 13 Dec 2013 12:02:41 +0100

html5lib (0.95-2) UNRELEASED; urgency=low

  * Use canonical URIs for Vcs-* fields.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 16:01:02 +0200

html5lib (0.95-1) unstable; urgency=low

  * New upstream version
  * Fix watch file.
  * Tidy debian/rules, using dh, bump debian/compat to 7.
  * Migrate to dh_python2.
  * Drop no-setuptools patch, add python-setuptools as dependency.
  * Drop patch system and debian/README.source
  * Remove debian/examples - not shipped by upstream anymore.
  * Bump Standards-Version to 3.9.3.
  * Do not install tests folder. 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 09 May 2012 22:28:28 +0200

html5lib (0.90-1) unstable; urgency=low

  * New upstream version. 
  * Updating patch to apply at the new version. 
  * Check for the tests directory before running tests.
    They're not always included in the source.... 

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 24 Jan 2010 01:28:50 +0100

html5lib (0.11.1-3) unstable; urgency=low

  [ Luca Falavigna ]
  * debian/control:
    - Add ${misc:Depends} to python-html5lib dependencies.
    - Remove python-celementtree from (Build-)Depends (Closes: #562457).
    - Remove python-elementtree from (Build-)Depends (Closes: #562467).
    - Bump Standards-Version to 3.8.3, no changes required.
  * debian/pyversions:
    - Bump minimum required version to 2.5, features provided by
      python-elementtree and python-celementtree support are now
      available in standard library.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 28 Dec 2009 12:41:22 +0100

html5lib (0.11.1-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn
    - fixed a typo in suggests, now referring to python-beautifulsoup; thanks to
      Eric Cooper for the report; Closes: #518428

  [ Bernd Zeimetz ]
  * debian/README.source: Add file
  * debian/control: Bump Standards-Version to 3.8.2.
  * debian/copyright: Updating debian packaging copyright. 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 05 Aug 2009 22:12:43 +0200

html5lib (0.11.1-1) unstable; urgency=low

  * New upstream release
    - html5lib is compatible to the last lxml version now (Closes: #471638).

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 13 Jun 2008 23:15:55 +0200

html5lib (0.11~pre-1) experimental; urgency=low

  * pre-release version to test the test-cases.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 20 Mar 2008 23:30:21 +0100

html5lib (0.10-2) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/control:
    - Switching Uploaders- and Maintainer-roles: Setting the team as
      Maintainer now, myself as Uploader. Also updating my email address.
    - Removing python-xml dependencies as it is deprecated and will be
      removed from Debian (Closes: #468596).
    - Adding python-4suite-xml to Suggests.
    - Bumping Standards-Version to 3.7.3, no changes needed.
  * debian/watch:
    - Removing unnecessary comments

  [ Sandro Tosi ]
  * debian/control
    - fixed Vcs-Browser field

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 29 Feb 2008 20:00:11 +0100

html5lib (0.10-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Adding Homepage field, removing pseudo-field from description
    - Updating description to reflect the updated name of the specification
    - Updating Build-Depends/Depends/Suggests to reflect the requirements of
      the new version
    - Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * debian/rules:
    - Switching from cdbs to a "normal" rules file, also running unit tests
      while building
  * debian/copyright:
    - Including copyright information for
      src/html5lib/filters/{iso639codes,rfc2046,rfc3987}.py
    - Changing the license of my packaging work from GPL to the MIT License

 -- Bernd Zeimetz <bernd@bzed.de>  Mon, 08 Oct 2007 21:01:33 +0200

html5lib (0.9-2) unstable; urgency=low

  * Several small fixes in the parse.py example, see
    debian/patches/example-parse.py-fix.dpatch for details
  * Don't compress *.py examples to make them useable without the
    need to decompress them.

 -- Bernd Zeimetz <bernd@bzed.de>  Thu, 10 May 2007 12:31:23 +0200

html5lib (0.9-1) unstable; urgency=low

  * Initial release (Closes: #414028)

 -- Bernd Zeimetz <bernd@bzed.de>  Sun, 01 Apr 2007 19:31:31 +0200

=== debian/control ===
Source: html5lib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Olivier Berger <obergix@debian.org>
Build-Depends: debhelper (>= 8),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-nose,
               python-setuptools,
               python-six,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-six,
Vcs-Git: git://anonscm.debian.org/python-modules/packages/html5lib.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/html5lib.git
Homepage: https://github.com/html5lib/html5lib-python
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-html5lib
Architecture: all
Depends: python-six, ${misc:Depends}, ${python:Depends}
# Not yet available in Debian :
#Suggests: python-datrie
Suggests: python-chardet, python-genshi, python-lxml
Description: HTML parser/tokenizer based on the WHATWG HTML5 specification (Python 2)
 html5lib is a pure-python library for parsing HTML. It is designed to
 conform to the HTML 5 specification, which has formalized the error handling
 algorithms of popular web browsers.
 .
 This package contains the Python 2 version of html5lib.

Package: python3-html5lib
Architecture: all
Depends: python3-six, ${misc:Depends}, ${python3:Depends}
# Not yet available in Debian :
#Suggests: python3-datrie
Suggests: python3-genshi, python3-lxml
Description: HTML parser/tokenizer based on the WHATWG HTML5 specification (Python 3)
 html5lib is a pure-python library for parsing HTML. It is designed to
 conform to the HTML 5 specification, which has formalized the error handling
 algorithms of popular web browsers.
 .
 This package contains the Python 3 version of html5lib.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export DH_OPTIONS=-v
#export PYBUILD_VERBOSE=1
#export NOSE_VERBOSE=2

export PYBUILD_NAME=html5lib

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# This might have been used, but we'll conform instead to upstream docs,
# mentioning running nosetests.
#export PYBUILD_TEST_NOSE=1
override_dh_auto_test:
	# First, Python 2's nosetests
	PYBUILD_DISABLE_python3=test \
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="nosetests" dh_auto_test --buildsystem=pybuild
	# Then for Python 3 :
	PYBUILD_DISABLE_python2=test \
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="nosetests3" dh_auto_test --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
# do not use (\d\S*) to avoid beta versions and likes
# opts=filenamemangle=s/.+\/v?(\d[\d\.]*)\.tar\.gz/html5lib-python-$1\.tar\.gz/ \
#   https://github.com/html5lib/html5lib-python/tags .*/v?(\d[\d\.]*)\.tar\.gz
opts=filenamemangle=s/.+\/v?(\d[\d\.]*)\.tar\.gz/html5lib-python-$1\.tar\.gz/ \
https://pypi.python.org/packages/source/h/html5lib/html5lib-(\d[\d\.]*)\.(?:tar\.gz|zip|tar\.bz2)

## html5lib 0.999999999

=== debian/changelog ===
html5lib (0.999999999-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Barry Warsaw ]
  * New upstream release. (Closes: #843947)
  * d/control:
    - By request, remove Olivier Berger from Uploaders.  Add Barry Warsaw.
    - Add to Build-Depends: python{,3}-webencodings, python{,3}-pytest,
      python{,3}-flake8
    - Bump minimum debhelper version in Build-Depends.
    - Bump Standards-Version with no other changes necessary.
    - Trim Depends to just the auto-filled variables.
    - Adjust short descriptions.
  * d/watch: Use the pypi.debian.net redirector.
  * d/compat: Bump to version 9.
  * d/docs: Don't also install CHANGES.rst since that same file is
    installed as the changelog.  Eliminates a lintian warning.

  [ Diane Trout ]
  * d/rules: Use py.test as the test runner as some tests use py.test
    decorators.
  * d/control
    - Remove from Build-Depends: python{,3}-nose
    - Add to Build-Depends: python{,3}-pytest-expect needed
      to run tests.
    - Add to Build-Depends: python{,3}-genshi, python{,3}-lxml
      to decrease number of skipped tests.

 -- Barry Warsaw <barry@debian.org>  Wed, 16 Nov 2016 09:34:19 -0500

=== debian/control ===
Source: html5lib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-flake8,
               python-genshi,
               python-lxml,
               python-mock,
               python-pytest,
               python-pytest-expect,
               python-setuptools,
               python-six,
               python-webencodings,
               python3-all,
               python3-flake8,
               python3-genshi,
               python3-lxml,
               python3-mock,
               python3-pytest,
               python3-pytest-expect,
               python3-setuptools,
               python3-six,
               python3-webencodings,
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/html5lib.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/html5lib.git
Homepage: https://github.com/html5lib/html5lib-python
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-html5lib
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Suggests: python-chardet,
          python-genshi,
          python-lxml,
Description: HTML parser/tokenizer based on the WHATWG HTML5 specification
 html5lib is a pure-python library for parsing HTML. It is designed to
 conform to the HTML 5 specification, which has formalized the error handling
 algorithms of popular web browsers.
 .
 This package contains the Python 2 version of html5lib.

Package: python3-html5lib
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python3-genshi,
          python3-lxml,
Description: HTML parser/tokenizer based on the WHATWG HTML5 specification
 html5lib is a pure-python library for parsing HTML. It is designed to
 conform to the HTML 5 specification, which has formalized the error handling
 algorithms of popular web browsers.
 .
 This package contains the Python 3 version of html5lib.

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,11 @@
 	# First, Python 2's nosetests
 	PYBUILD_DISABLE_python3=test \
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="nosetests" dh_auto_test --buildsystem=pybuild
+	PYBUILD_TEST_ARGS="py.test" dh_auto_test --buildsystem=pybuild
 	# Then for Python 3 :
 	PYBUILD_DISABLE_python2=test \
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="nosetests3" dh_auto_test --buildsystem=pybuild
+	PYBUILD_TEST_ARGS="py.test-3" dh_auto_test --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst

## html5lib 1.0.1

=== debian/changelog ===
html5lib (1.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * debian/patches/PR429.patch
    - support pytest 4 and higher; Closes: #948428
  * debian/control
    - drop flake8 from b-d, no longer needed

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Feb 2020 21:22:52 -0500

html5lib (1.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Alexander GQ Gerasiov ]
  * New upstream release (Closes: #895816).

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 11 Jul 2018 11:30:04 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Barry Warsaw <barry@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 9),
                dh-python,
                python-all (>= 2.6.6-3~),
-               python-flake8,
                python-genshi,
                python-lxml,
                python-mock,
@@ -16,7 +15,6 @@
                python-six,
                python-webencodings,
                python3-all,
-               python3-flake8,
                python3-genshi,
                python3-lxml,
                python3-mock,
@@ -25,12 +23,10 @@
                python3-setuptools,
                python3-six,
                python3-webencodings,
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/html5lib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/html5lib.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/html5lib.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/html5lib
 Homepage: https://github.com/html5lib/html5lib-python
 Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-html5lib
 Architecture: all

## html5lib 1.1

=== debian/changelog ===
html5lib (1.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stefano Rivera ]
  * d/control: Update Uploaders field with new Debian Python Team
    contact address.

  [ Gordon Ball ]
  * Cherry-pick upstream commit 2c19b98 to fix FTBFS with pytest 6
    (Closes: #977065)

 -- Gordon Ball <gordon@chronitis.net>  Wed, 20 Jan 2021 18:43:31 +0000

html5lib (1.1-2) unstable; urgency=medium

  * debian/tests/unittests3
    - fix autopkgtests by also copying .pytest.expect, and rework the tests
      location; Closes: #968630
  * debian/control
    - remove Barry from Uploaders, thanks for your contributions;
      Closes: #970162
    - set me as Maintainer, team as Uploaders

 -- Sandro Tosi <morph@debian.org>  Tue, 15 Sep 2020 20:59:33 -0400

html5lib (1.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Add autopkgtests, running the unit test suite.

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches/PR429.patch
    - drop patch, merged upstream

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 22:04:48 -0400

html5lib (1.0.1-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Use pybuild's pytest runner.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Bump debhelper compat to 12.
  * Declare Rules-Requires-Root: no.

  [ Sandro Tosi ]
  * Add myself to uploaders
  * Drop python2 support; Closes: #936709

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 12:09:12 -0400

=== debian/control ===
Source: html5lib
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-genshi,
               python3-lxml,
               python3-mock,
               python3-pytest,
               python3-pytest-expect,
               python3-setuptools,
               python3-six,
               python3-webencodings,
Vcs-Git: https://salsa.debian.org/python-team/packages/html5lib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/html5lib
Homepage: https://github.com/html5lib/html5lib-python
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: python3-html5lib
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python3-genshi,
          python3-lxml,
Description: HTML parser/tokenizer based on the WHATWG HTML5 specification
 html5lib is a pure-python library for parsing HTML. It is designed to
 conform to the HTML 5 specification, which has formalized the error handling
 algorithms of popular web browsers.
 .
 This package contains the Python 3 version of html5lib.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=html5lib
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: unittests3
Depends: python3-all,
         python3-genshi,
         python3-html5lib,
         python3-lxml,
         python3-mock,
         python3-pytest,
         python3-pytest-expect,
         python3-setuptools,
         python3-six,
         python3-webencodings,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/html5lib/html5lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## html5lib 1.2

=== debian/changelog ===
html5lib (1.2-2) unstable; urgency=medium

  * Team upload
  * Only Build-Depend on pytest for tests

 -- Bastian Germann <bage@debian.org>  Mon, 24 Mar 2025 07:25:58 +0100

html5lib (1.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.2
  * Switch to maintenance fork.
  * Remove old patches
  * Devendor webencodings from new fork.
  * Remove depedency on python3-mock & python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 29 Sep 2024 14:12:00 +0200

html5lib (1.1-6) unstable; urgency=low

  * Set myself as uploader (Closes: #1065142).
  * Add debian/gbp.conf.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.6.2.
  * Use uscan version 4.
  * Convert d/copyright to DEP-5 format.
  * Update year in d/copyright.
  * Test supported Python versions in autopkgtest.

 -- Michael Fladischer <fladi@debian.org>  Fri, 15 Mar 2024 23:47:39 +0000

html5lib (1.1-5) unstable; urgency=medium

  * QA upload.
  * debian/patches/0003-Fix-pytest-7.x-fspath-deprecation-error.patch:
    Fix build failure by applying further patch on pytest 7.x compatibility.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 23:49:10 -0500

html5lib (1.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 01:14:33 -0500

=== debian/control ===
Source: html5lib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-genshi,
 python3-lxml,
 python3-pytest <!nocheck>,
 python3-pytest-expect <!nocheck>,
 python3-setuptools,
 python3-webencodings,
Vcs-Git: https://salsa.debian.org/python-team/packages/html5lib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/html5lib
Homepage: https://github.com/ashleysommer/html5lib-modern
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: python3-html5lib
Architecture: all
Depends:
 python3-webencodings,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-genshi,
 python3-lxml,
Description: HTML parser/tokenizer based on the WHATWG HTML5 specification
 html5lib is a pure-python library for parsing HTML. It is designed to
 conform to the HTML 5 specification, which has formalized the error handling
 algorithms of popular web browsers.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS={dir}
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-genshi,
 python3-html5lib,
 python3-lxml,
 python3-pytest,
 python3-pytest-expect,
 python3-setuptools,
 python3-webencodings,
